Debian Bug report logs - #659422
gri: Uses perl4 corelibs without Depends

version graph

Package: gri; Maintainer for gri is Peter S Galbraith <psg@debian.org>; Source for gri is src:gri.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:48:11 UTC

Severity: normal

Tags: patch

Found in version gri/2.12.23-2

Fixed in version gri/2.12.23-2.1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#659422; Package gri. (Fri, 10 Feb 2012 23:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Peter S Galbraith <psg@debian.org>. (Fri, 10 Feb 2012 23:48:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: gri: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:47:35 +0000
Package: gri
Version: 2.12.23-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/gri_merge:41 getopts.pl
usr/bin/gri_unpage:13 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#659422; Package gri. (Sun, 18 Mar 2012 16:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Peter S Galbraith <psg@debian.org>. (Sun, 18 Mar 2012 16:27:15 GMT) Full text and rfc822 format available.

Message #10 received at 659422@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Peter S Galbraith <psg@debian.org>:
Bug#659422; Package gri. (Mon, 23 Apr 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Peter S Galbraith <psg@debian.org>. (Mon, 23 Apr 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 659422@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659422@bugs.debian.org
Subject: gri: diff for NMU version 2.12.23-2.1
Date: Mon, 23 Apr 2012 19:04:22 +0100
[Message part 1 (text/plain, inline)]
tags 659422 + patch
tags 659422 + pending
thanks

Dear maintainer,

I've prepared an NMU for gri (versioned as 2.12.23-2.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[gri-2.12.23-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 18:06:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 18:06:07 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 03 May 2012 18:51:07 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 03 May 2012 18:51:07 GMT) Full text and rfc822 format available.

Message #24 received at 659422-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659422-close@bugs.debian.org
Subject: Bug#659422: fixed in gri 2.12.23-2.1
Date: Thu, 03 May 2012 18:47:47 +0000
Source: gri
Source-Version: 2.12.23-2.1

We believe that the bug you reported is fixed in the latest version of
gri, which is due to be installed in the Debian FTP archive:

gri-el_2.12.23-2.1_all.deb
  to main/g/gri/gri-el_2.12.23-2.1_all.deb
gri-html-doc_2.12.23-2.1_all.deb
  to main/g/gri/gri-html-doc_2.12.23-2.1_all.deb
gri-pdf-doc_2.12.23-2.1_all.deb
  to main/g/gri/gri-pdf-doc_2.12.23-2.1_all.deb
gri_2.12.23-2.1.debian.tar.gz
  to main/g/gri/gri_2.12.23-2.1.debian.tar.gz
gri_2.12.23-2.1.dsc
  to main/g/gri/gri_2.12.23-2.1.dsc
gri_2.12.23-2.1_i386.deb
  to main/g/gri/gri_2.12.23-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659422@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated gri package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Apr 2012 18:53:37 +0100
Source: gri
Binary: gri gri-el gri-html-doc gri-pdf-doc
Architecture: source all i386
Version: 2.12.23-2.1
Distribution: unstable
Urgency: low
Maintainer: Peter S Galbraith <psg@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 gri        - a language for scientific illustration
 gri-el     - Emacs major-mode for gri, a language for scientific graphics
 gri-html-doc - HTML manual for gri, a language for scientific graphics
 gri-pdf-doc - PostScript manual for gri, a language for scientific graphics
Closes: 659422
Changes: 
 gri (2.12.23-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #659422)
Checksums-Sha1: 
 5e79d8d791f6862a76beafe9ff2f437d7c01bf4f 1293 gri_2.12.23-2.1.dsc
 79164decb2297f3ab4c98fa180e31d166c0bb55a 22922 gri_2.12.23-2.1.debian.tar.gz
 f5b3842e5b980db00a30170856f2c32f83196f93 71614 gri-el_2.12.23-2.1_all.deb
 85354e37acb900da76a8b871a5ab7bb31e1d9cbe 1203510 gri-html-doc_2.12.23-2.1_all.deb
 a0af42d38029943a28ea6614ae99733d2238491f 1618520 gri-pdf-doc_2.12.23-2.1_all.deb
 aeac1d61ff1f11d497f89e87963fa30fae135ab3 642632 gri_2.12.23-2.1_i386.deb
Checksums-Sha256: 
 4cafd824c1cc6867b104fa670aabffcaa0d75298ad2606b71f2d5c51b4266b6e 1293 gri_2.12.23-2.1.dsc
 7c9cbd6fd805f13bcace5cb1ab05cd5309bce5e6781a9fc5b6299825977933a1 22922 gri_2.12.23-2.1.debian.tar.gz
 5506de14ea1a0f939c495dec44e5fbc896318e427a05c10a0d257de4e79290c0 71614 gri-el_2.12.23-2.1_all.deb
 662fa4e0b09f9768ccf0e562412acc543d0d59ddbf37931bf678e6cfe9c920c9 1203510 gri-html-doc_2.12.23-2.1_all.deb
 ec0c62e98efed731b78e2fb15924f3db61aaba804de382e07abaa63f2b912d0f 1618520 gri-pdf-doc_2.12.23-2.1_all.deb
 427e3ba0819d9390095e4471772592ffe1727ecab3a90d9f0312bcf48d566a31 642632 gri_2.12.23-2.1_i386.deb
Files: 
 16945fd02afcb6a41a6ed6e4d227070e 1293 science optional gri_2.12.23-2.1.dsc
 aaad216c2496e460b41f04a931df3b75 22922 science optional gri_2.12.23-2.1.debian.tar.gz
 d65cbbafc63a48dca303db934831240e 71614 lisp optional gri-el_2.12.23-2.1_all.deb
 46b85c59a7aa8708cce45ce3a272e056 1203510 doc optional gri-html-doc_2.12.23-2.1_all.deb
 649535260492dc8177f443ec2b955286 1618520 doc optional gri-pdf-doc_2.12.23-2.1_all.deb
 37ed49dd6b83a4fea0f98807f827c7bd 642632 science optional gri_2.12.23-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPlZkOYzuFKFF44qURAmvNAJ9bwg48CUjkX41EaGEbcanOxvtpVwCgm2Qe
u94NuqX2sXraY8kLNifS0w0=
=W85I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:38:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:27:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.